Package com.xebialabs.deployit.plugin.api.udm.base

## Class BaseDeployed<D extends Deployable,​C extends Container>

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployed<D,​C>

- All Implemented Interfaces:
    `ConfigurationItem`, `Deployed<D,​C>`, `EmbeddedDeployedContainer<D,​C>`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `BaseDeployedArtifact`, `BaseDeployedContainer`, `BaseProvisioned`

      @Metadata(virtual=true,
                description="The supertype of all Deployeds.")
      public class BaseDeployed<D extends Deployable,​C extends Container>
      extends BaseConfigurationItem
      implements Deployed<D,​C>

  A `Deployable` deployed to a `Container`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

      `CONTAINER_FIELD, DEPLOYABLE_FIELD`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `BaseDeployed()` | Default constructor should be public in order to be able to instantiate this.
    `protected` | `BaseDeployed​(D deployable, C container)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<ConfigurationItem>` | `getBoundConfigurationItems()` |
    `C` | `getContainer()` | Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
    `D` | `getDeployable()` | Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
    `void` | `setBoundConfigurationItems​(java.util.Set<ConfigurationItem> boundConfigurationItems)` |
    `void` | `setContainer​(C container)` | Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
    `void` | `setDeployable​(D deployable)` | Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Constructor Detail

    - #### BaseDeployed

          public BaseDeployed()

      Default constructor should be public in order to be able to instantiate this.

    - #### BaseDeployed

          protected BaseDeployed​(D deployable,
                                 C container)

  - ### Method Detail

    - #### getDeployable

          public D getDeployable()

      Description copied from interface: `Deployed`
      Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
      Specified by:
        `getDeployable` in interface `Deployed<D extends Deployable,​C extends Container>`
      Specified by:
        `getDeployable` in interface `EmbeddedDeployedContainer<D extends Deployable,​C extends Container>`
      Returns:
        The associated `Deployable` CI.

    - #### setDeployable

          public void setDeployable​(D deployable)

      Description copied from interface: `Deployed`
      Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
      Specified by:
        `setDeployable` in interface `Deployed<D extends Deployable,​C extends Container>`
      Specified by:
        `setDeployable` in interface `EmbeddedDeployedContainer<D extends Deployable,​C extends Container>`
      Parameters:
        `deployable` - The associated `Deployable` CI.

    - #### getContainer

          public C getContainer()

      Description copied from interface: `Deployed`
      Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
      Specified by:
        `getContainer` in interface `Deployed<D extends Deployable,​C extends Container>`
      Specified by:
        `getContainer` in interface `EmbeddedDeployedContainer<D extends Deployable,​C extends Container>`
      Returns:
        The target `Container`.

    - #### setContainer

          public void setContainer​(C container)

      Description copied from interface: `Deployed`
      Duplicated from `EmbeddedDeployedContainer` to retain binary compatibility.
      Specified by:
        `setContainer` in interface `Deployed<D extends Deployable,​C extends Container>`
      Specified by:
        `setContainer` in interface `EmbeddedDeployedContainer<D extends Deployable,​C extends Container>`
      Parameters:
        `container` - The target `Container`.

    - #### setBoundConfigurationItems

          public void setBoundConfigurationItems​(java.util.Set<ConfigurationItem> boundConfigurationItems)

      Specified by:
        `setBoundConfigurationItems` in interface `Deployed<D extends Deployable,​C extends Container>`

    - #### getBoundConfigurationItems

          public java.util.Set<ConfigurationItem> getBoundConfigurationItems()

      Specified by:
        `getBoundConfigurationItems` in interface `Deployed<D extends Deployable,​C extends Container>`